/**
 * title: "带Tab卡片"
 * description: "可承载更多内容，标题区可选"
 */
import React from 'react';
import { Card, Tab } from '@alicloud/console-components';
var cardContent = {
    background: '#f6f6f6',
    width: '100%',
    borderRadius: '4px',
    textAlign: 'center',
    color: '#aaaaaa',
    position: 'relative',
    height: '100%',
    lineHeight: '100%',
};
var contentext = {
    lineHeight: '20px',
    position: 'absolute',
    top: '50%',
    width: '100%',
    marginTop: '-10px',
};
var itemStyle = {
    height: '200px',
    margin: 16,
};
var CardContent = function () { return (React.createElement("div", { style: cardContent },
    React.createElement("div", { style: contentext }, "Card Content"))); };
export default (function () {
    return (React.createElement(Card, { style: { width: 500 }, free: true },
        React.createElement(Tab, { size: "small" },
            React.createElement(Tab.Item, { title: "\u5F53\u524D\u9009\u9879" },
                React.createElement("div", { style: itemStyle },
                    React.createElement(CardContent, null))),
            React.createElement(Tab.Item, { title: "\u53EF\u9009\u9009\u9879" },
                React.createElement("div", { style: itemStyle },
                    React.createElement(CardContent, null))),
            React.createElement(Tab.Item, { title: "\u60AC\u6D6E\u9009\u9879" },
                React.createElement("div", { style: itemStyle },
                    React.createElement(CardContent, null))),
            React.createElement(Tab.Item, { disabled: true, title: "\u7981\u7528\u9009\u9879" },
                React.createElement(CardContent, null)))));
});
